| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
eprosima::fastdds::rtps Namespace Reference
eProsima Fast DDS API Reference » RTPS

Contains the RTPS protocol implementation. More...

## Namespaces

namespace | TimeConv
| Auxiliary methods to convert to Time_t to more manageable types.
namespace | detail
namespace | security

## Classes

struct | BuiltinTransportsOptions
| Options for configuring the built-in transports when using LARGE_DATA mode. More...
class | EndpointAttributes
| Structure EndpointAttributes, describing the attributes associated with an RTPS Endpoint. More...
class | HistoryAttributes
| Class HistoryAttributes, to specify the attributes of a WriterHistory or a ReaderHistory. More...
class | PropertyPolicy
class | PropertyPolicyHelper
class | ReaderTimes
| Class ReaderTimes, defining the times associated with the Reliable Readers events. More...
class | ReaderAttributes
| Class ReaderAttributes, to define the attributes of a RTPSReader. More...
struct | RemoteLocatorsAllocationAttributes
| Holds limits for collections of remote locators. More...
struct | SendBuffersAllocationAttributes
| Holds limits for send buffers allocations. More...
struct | VariableLengthDataLimits
| Holds limits for variable-length data. More...
struct | RTPSParticipantAllocationAttributes
| Holds allocation limits affecting collections managed by a participant. More...
struct | ParticipantType
| Struct to define participant types to set participant type parameter property. More...
struct | PDPFactory
class | SimpleEDPAttributes
| Class SimpleEDPAttributes, to define the attributes of the Simple Endpoint Discovery Protocol. More...
struct | InitialAnnouncementConfig
| Struct InitialAnnouncementConfig defines the behavior of the RTPSParticipant initial announcements. More...
class | DiscoverySettings
| Class DiscoverySettings, to define the attributes of the several discovery protocols available. More...
class | BuiltinAttributes
| Class BuiltinAttributes, to define the behavior of the RTPSParticipant builtin protocols. More...
class | RTPSParticipantAttributes
| Class RTPSParticipantAttributes used to define different aspects of a RTPSParticipant. More...
struct | ThreadSettings
| Struct ThreadSettings to specify various thread settings. More...
struct | WriterTimes
| Struct WriterTimes, defining the times associated with the Reliable Writers events. More...
class | WriterAttributes
| Class WriterAttributes, defining the attributes of a RTPSWriter. More...
struct | BuiltinTopicKey_t
class | ContentFilterProperty
| Information about the content filter being applied by a reader. More...
struct | ParticipantBuiltinTopicData
struct | PublicationBuiltinTopicData
| Structure PublicationBuiltinTopicData, contains the information on a discovered publication. More...
struct | SubscriptionBuiltinTopicData
| Structure SubscriptionBuiltinTopicData, contains the information on a discovered subscription. More...
struct | TopicDescription
| Structure TopicDescription, used to register an endpoint on a topic. More...
class | BinaryProperty
class | BinaryPropertyHelper
struct | CacheChangeWriterInfo_t
| Specific information for a writer. More...
struct | CacheChangeReaderInfo_t
| Specific information for a reader. More...
struct | CacheChange_t
| Structure CacheChange_t, contains information on a specific CacheChange. More...
struct | CDRMessage_t
| Structure CDRMessage_t, contains a serialized message. More...
struct | EntityId_t
| Structure EntityId_t, entity id part of GUID_t. More...
struct | GUID_t
| Structure GUID_t, entity identifier, unique in DDS-RTPS Domain. More...
struct | GuidPrefix_t
| Structure GuidPrefix_t, Guid Prefix of GUID_t. More...
struct | InstanceHandleValue_t
struct | InstanceHandle_t
| Struct InstanceHandle_t, used to contain the key for WITH_KEY topics. More...
class | Locator_t
| Class Locator_t, uniquely identifies a communication channel for a particular transport. More...
class | Locators
| Adapter class that provides a LocatorsIterator interface from a LocatorListConstIterator. More...
class | LocatorList
| Class LocatorList, a Locator vector that doesn't allow duplicates. More...
class | LocatorSelector
| A class used for the efficient selection of locators when sending data to multiple entities. More...
struct | LocatorSelectorEntry
| An entry for the LocatorSelector. More...
struct | LocatorsIterator
| Provides a Locator's iterator interface that can be used by different Locator's containers. More...
class | LocatorWithMask
| A Locator with a mask that defines the number of significant bits of its address. More...
class | MatchingInfo
| Class MatchingInfo contains information about the matching between two endpoints. More...
class | PortParameters
| Class PortParameters, to define the port parameters and gains related with the RTPS protocol. More...
struct | ProductVersion_t
class | Property
class | PropertyHelper
struct | PropertyParser
struct | RemoteLocatorList
| Holds information about the locators of a remote entity. More...
class | SampleIdentity
| This class is used to specify a sample. More...
struct | SequenceNumber_t
| Structure SequenceNumber_t, different for each change in the same writer. More...
struct | SequenceNumberHash
| Defines the STL hash function for type SequenceNumber_t. More...
struct | SequenceNumberDiff
struct | SerializedPayload_t
| Structure SerializedPayload_t. More...
class | Time_t
| Structure Time_t, used to describe times at RTPS protocol. More...
class | DataHolder
class | DataHolderHelper
struct | ProtocolVersion_t
| Structure ProtocolVersion_t, contains the protocol version. More...
class | WriteParams
| This class contains additional information of a CacheChange. More...
class | Endpoint
| Class Endpoint, all entities of the RTPS network derive from this class. More...
struct | FlowControllerDescriptor
| Configuration values for creating flow controllers. More...
class | History
| Class History, container of the different CacheChanges and the methods to access them. More...
class | IChangePool
| An interface for classes responsible of cache changes allocation management. More...
class | IPayloadPool
| An interface for classes responsible of serialized payload management. More...
class | ReaderHistory
| Class ReaderHistory, container of the different CacheChanges of a reader. More...
class | WriterHistory
| Class WriterHistory, container of the different CacheChanges of a writer. More...
class | IReaderDataFilter
| Abstract class IReaderDataFilter that acts as virtual interface for data filters in ReaderProxy. More...
struct | Header_t
| Structure Header_t, RTPS Message Header Structure. More...
struct | SubmessageHeader_t
| Structure SubmessageHeader_t, used to contain the header information of a submessage. More...
class | RTPSMessageSenderInterface
| Interface to handle destinations management and message sending. More...
class | RTPSParticipant
| Class RTPSParticipant, contains the public API for a RTPSParticipant. More...
class | RTPSParticipantListener
| Class RTPSParticipantListener with virtual method that the user can overload to respond to certain events. More...
class | ReaderListener
| Class ReaderListener, to be used by the user to override some of is virtual method to program actions to certain events. More...
class | RTPSReader
| Class RTPSReader, manages the reception of data from its matched writers. More...
class | RTPSDomain
| Class RTPSDomain,it manages the creation and destruction of RTPSParticipant RTPSWriter and RTPSReader. More...
struct | ChainingReceiverResourceDeleter
| Deleter for a ChainingReceiverResource. More...
class | ChainingTransport
| This is the base class for chaining adapter transports. More...
struct | ChainingTransportDescriptor
| Base class for the descriptors of chaining transports. More...
struct | AllowedNetworkInterface
| Structure extending `NetworkInterfaceWithFilter` with information specific to allowed interfaces. More...
struct | BlockedNetworkInterface
| Structure extending `NetworkInterface` with information specific to blocked interfaces. More...
struct | NetworkInterface
| Structure encapsulating relevant network interface information. More...
struct | NetworkInterfaceWithFilter
| Structure extending `NetworkInterface` with netmask filter information. More...
struct | NetworkBuffer
| A slice of data to be sent to one or more transports. More...
class | PortBasedTransportDescriptor
| Base class for all port based transport descriptors. More...
class | SenderResource
| RAII object that encapsulates the Send operation over one chanel in an unknown transport. More...
struct | SharedMemTransportDescriptor
| Shared memory transport configuration. More...
struct | test_SharedMemTransportDescriptor
| Shared memory transport configuration. More...
struct | SocketTransportDescriptor
| Virtual base class for the data type used to define configuration of transports using sockets. More...
struct | TCPTransportDescriptor
| TCP Transport configuration. More...
struct | TCPv4TransportDescriptor
| TCPv4 Transport configuration. More...
struct | TCPv6TransportDescriptor
| TCPv6 Transport configuration The kind value for TCPv6TransportDescriptor is given by `eprosima::fastdds::rtps::LOCATOR_KIND_TCPv6`. More...
struct | test_UDPv4TransportDescriptor
| UDP v4 Test Transport configuration. More...
struct | TestUDPv4TransportOptions
struct | TransportDescriptorInterface
| Virtual base class for the data type used to define transport configuration. More...
class | TransportInterface
| Interface against which to implement a transport layer, decoupled from Fast DDS internals. More...
class | TransportReceiverInterface
| Interface against which to implement a data receiver, decoupled from transport internals. More...
struct | UDPTransportDescriptor
| UDP Transport configuration. More...
struct | UDPv4TransportDescriptor
| UDPv4 Transport configuration The kind value for UDPv4TransportDescriptor is given by `eprosima::fastdds::rtps::LOCATOR_KIND_UDPv4`. More...
struct | UDPv6TransportDescriptor
| UDPv6 Transport configuration The kind value for UDPv6TransportDescriptor is given by `eprosima::fastdds::rtps::LOCATOR_KIND_UDPv6`. More...
class | RTPSWriter
| Class RTPSWriter, manages the sending of data to the readers. More...
class | WriterListener
| Class WriterListener with virtual method so the user can implement callbacks to certain events. More...
class | IPFinder
| Class IPFinder, to determine the IP of the NICs. More...
class | IPLocator
| Class IPLocator, to provide helper functions to the IP based transports. More...
class | bitset

## Typedefs

using | ParameterId_t = fastdds::dds::ParameterId_t
using | Parameter_t = fastdds::dds::Parameter_t
using | ParameterKey_t = fastdds::dds::ParameterKey_t
using | ParameterLocator_t = fastdds::dds::ParameterLocator_t
using | ParameterString_t = fastdds::dds::ParameterString_t
using | ParameterPort_t = fastdds::dds::ParameterPort_t
using | ParameterGuid_t = fastdds::dds::ParameterGuid_t
using | ParameterDomainId_t = fastdds::dds::ParameterDomainId_t
using | ParameterProtocolVersion_t = fastdds::dds::ParameterProtocolVersion_t
using | ParameterVendorId_t = fastdds::dds::ParameterVendorId_t
using | ParameterProductVersion_t = fastdds::dds::ParameterProductVersion_t
using | ParameterIP4Address_t = fastdds::dds::ParameterIP4Address_t
using | ParameterBool_t = fastdds::dds::ParameterBool_t
using | ParameterStatusInfo_t = fastdds::dds::ParameterStatusInfo_t
using | ParameterCount_t = fastdds::dds::ParameterCount_t
using | ParameterEntityId_t = fastdds::dds::ParameterEntityId_t
using | ParameterTime_t = fastdds::dds::ParameterTime_t
using | ParameterBuiltinEndpointSet_t = fastdds::dds::ParameterBuiltinEndpointSet_t
using | ParameterNetworkConfigSet_t = fastdds::dds::ParameterNetworkConfigSet_t
using | ParameterPropertyList_t = fastdds::dds::ParameterPropertyList_t
using | ParameterSampleIdentity_t = fastdds::dds::ParameterSampleIdentity_t
using | ExternalLocators
| A collection of LocatorWithMask grouped by externality and cost.
typedef enum eprosima::fastdds::rtps::MemoryManagementPolicy | MemoryManagementPolicy_t
| Enum MemoryuManagementPolicy_t, indicated the way memory is managed in terms of dealing with CacheChanges.
typedef struct eprosima::fastdds::rtps::PDPFactory | PDPFactory
typedef enum eprosima::fastdds::rtps::RTPSWriterPublishMode | RTPSWriterPublishMode
typedef std::vector< BinaryProperty > | BinaryPropertySeq
using | FragmentNumber_t = uint32_t
using | FragmentNumberSet_t = BitmapRange<FragmentNumber_t>
| Structure FragmentNumberSet_t, contains a group of fragmentnumbers.
using | KeyHash_t = std::array<octet, RTPS_KEY_HASH_SIZE>
typedef std::vector< Locator_t >::iterator | LocatorListIterator
| Iterator to iterate over a vector of locators.
typedef std::vector< Locator_t >::const_iterator | LocatorListConstIterator
| Constant iterator to iterate over a vector of locators.
using | Locator = eprosima::fastdds::rtps::Locator_t
using | Locators = eprosima::fastdds::rtps::Locators
using | LocatorList_t = eprosima::fastdds::rtps::LocatorList
using | LocatorsIterator = eprosima::fastdds::rtps::LocatorsIterator
typedef std::vector< Property > | PropertySeq
using | SequenceNumberSet_t = BitmapRange<SequenceNumber_t, SequenceNumberDiff, 256>
| Structure SequenceNumberSet_t, contains a group of sequencenumbers.
typedef std::vector< DataHolder > | DataHolderSeq
typedef DataHolder | Token
typedef Token | IdentityToken
typedef Token | IdentityStatusToken
typedef Token | PermissionsToken
typedef Token | AuthenticatedPeerCredentialToken
typedef Token | PermissionsCredentialToken
typedef enum eprosima::fastdds::rtps::ReliabilityKind_t | ReliabilityKind_t
| Reliability enum used for internal purposes.
typedef enum eprosima::fastdds::rtps::DurabilityKind_t | DurabilityKind_t
| Durability kind.
typedef enum eprosima::fastdds::rtps::EndpointKind_t | EndpointKind_t
| Endpoint kind.
typedef enum eprosima::fastdds::rtps::TopicKind_t | TopicKind_t
| Topic kind.
using | octet = unsigned char
using | SubmessageFlag = unsigned char
using | BuiltinEndpointSet_t = uint32_t
using | NetworkConfigSet_t = uint32_t
using | Count_t = uint32_t
using | VendorId_t = std::array<uint8_t, 2>
| Structure VendorId_t, specifying the vendor Id of the implementation.
using | ChainingReceiverResourceReferenceType
| Type of the `unique_ptr` of a `ChainingReceiverResource` .
typedef eprosima::fastdds::rtps::ChainingTransportDescriptor | ChainingTransportDescriptor
| Base class for the descriptors of chaining transports.
typedef eprosima::fastdds::rtps::test_SharedMemTransportDescriptor | test_SharedMemTransportDescriptor
| Shared memory transport configuration.
using | SendResourceList = std::vector<std::unique_ptr<fastdds::rtps::SenderResource>>
using | NetmaskFilterInfo = std::pair<NetmaskFilterKind, std::vector<AllowedNetworkInterface>>
using | TransportNetmaskFilterInfo = std::pair<int32_t, NetmaskFilterInfo>

## Enumerations

enum class | BuiltinTransports : uint16_t { NONE = 0 , DEFAULT = 1 , DEFAULTv6 = 2 , SHM = 3 , UDPv4 = 4 , UDPv6 = 5 , LARGE_DATA = 6 , LARGE_DATAv6 = 7 , P2P = 8 }
| Defines the kind of transports automatically instantiated upon the creation of a participant. More...
enum | MemoryManagementPolicy { PREALLOCATED_MEMORY_MODE , PREALLOCATED_WITH_REALLOC_MEMORY_MODE , DYNAMIC_RESERVE_MEMORY_MODE , DYNAMIC_REUSABLE_MEMORY_MODE }
| Enum MemoryuManagementPolicy_t, indicated the way memory is managed in terms of dealing with CacheChanges. More...
enum class | DiscoveryProtocol { NONE , SIMPLE , EXTERNAL , CLIENT , SERVER , BACKUP , SUPER_CLIENT }
| PDP subclass choice. More...
enum | ParticipantFilteringFlags : uint32_t { NO_FILTER = 0 , FILTER_DIFFERENT_HOST = 0x1 , FILTER_DIFFERENT_PROCESS = 0x2 , FILTER_SAME_PROCESS = 0x4 }
enum | RTPSWriterPublishMode : octet { SYNCHRONOUS_WRITER , ASYNCHRONOUS_WRITER }
enum | ChangeKind_t { ALIVE , NOT_ALIVE_DISPOSED , NOT_ALIVE_UNREGISTERED , NOT_ALIVE_DISPOSED_UNREGISTERED }
| Enumerates the different types of CacheChange_t. More...
enum | MatchingStatus { MATCHED_MATCHING , REMOVED_MATCHING }
| Indicates whether the matched publication/subscription method of the PublisherListener or SubscriberListener has been called for a matching or a removal of a remote endpoint. More...
enum | Endianness_t { BIGEND = 0x1 , LITTLEEND = 0x0 }
| This enumeration represents endianness types. More...
enum | ReliabilityKind_t { RELIABLE , BEST_EFFORT }
| Reliability enum used for internal purposes. More...
enum | DurabilityKind_t { VOLATILE , TRANSIENT_LOCAL , TRANSIENT , PERSISTENT }
| Durability kind. More...
enum | EndpointKind_t { READER , WRITER }
| Endpoint kind. More...
enum | TopicKind_t { NO_KEY , WITH_KEY }
| Topic kind. More...
enum class | FlowControllerSchedulerPolicy : int32_t { FIFO , ROUND_ROBIN , HIGH_PRIORITY , PRIORITY_WITH_RESERVATION }
| Supported scheduler policy by a flow controller. More...
enum | SubmessageId : uint8_t { PAD = 0x01 , ACKNACK = 0x06 , HEARTBEAT = 0x07 , GAP = 0x08 , INFO_TS = 0x09 , INFO_SRC = 0x0c , INFO_REPLY_IP4 = 0x0d , INFO_DST = 0x0e , INFO_REPLY = 0x0f , NACK_FRAG = 0x12 , HEARTBEAT_FRAG = 0x13 , DATA = 0x15 , DATA_FRAG = 0x16 }
enum class | ParticipantDiscoveryStatus { DISCOVERED_PARTICIPANT , CHANGED_QOS_PARTICIPANT , REMOVED_PARTICIPANT , DROPPED_PARTICIPANT , IGNORED_PARTICIPANT }
| Enum ParticipantDiscoveryStatus, four different status for discovered participants. More...
enum class | ReaderDiscoveryStatus { DISCOVERED_READER , CHANGED_QOS_READER , REMOVED_READER , IGNORED_READER }
| Enum DISCOVERY_STATUS, four different status for discovered readers. More...
enum class | NetmaskFilterKind { OFF , AUTO , ON }
enum class | WriterDiscoveryStatus { DISCOVERED_WRITER , CHANGED_QOS_WRITER , REMOVED_WRITER , IGNORED_WRITER }
| Enum WriterDiscoveryStatus, four different status for discovered writers. More...

## Functions

bool | operator== (const BuiltinTransportsOptions &bto1, const BuiltinTransportsOptions &bto2)
| Equal to operator.
std::ostream & | operator<< (std::ostream &output, BuiltinTransports transports)
std::ostream & | operator<< (std::ostream &output, const DiscoveryProtocol &discovery_protocol)
FASTDDS_EXPORTED_API bool | get_server_client_default_guidPrefix (int id, fastdds::rtps::GuidPrefix_t &guid)
| Returns the guidPrefix associated to the given server id.
| FASTDDS_TODO_BEFORE (4, 0, "Change it to uint8_t (implies also changing [de]serializations)")
| Filtering flags when discovering participants.
bool | operator== (EntityId_t &id1, const uint32_t id2)
| Entity Id comparison operator.
bool | operator== (const EntityId_t &id1, const EntityId_t &id2)
| Entity Id comparison operator.
bool | operator!= (const EntityId_t &id1, const EntityId_t &id2)
| Guid prefix comparison operator.
std::ostream & | operator<< (std::ostream &output, const EntityId_t &enI)
std::istream & | operator>> (std::istream &input, EntityId_t &enP)
std::ostream & | operator<< (std::ostream &output, const FragmentNumberSet_t &fns)
bool | operator== (const GUID_t &g1, const GUID_t &g2)
| GUID comparison operator.
bool | operator!= (const GUID_t &g1, const GUID_t &g2)
| GUID comparison operator.
bool | operator< (const GUID_t &g1, const GUID_t &g2)
std::ostream & | operator<< (std::ostream &output, const GUID_t &guid)
| Stream operator, prints a GUID.
std::istream & | operator>> (std::istream &input, GUID_t &guid)
| Stream operator, retrieves a GUID.
std::ostream & | operator<< (std::ostream &output, const GuidPrefix_t &guiP)
std::istream & | operator>> (std::istream &input, GuidPrefix_t &guiP)
bool | operator== (const InstanceHandle_t &ihandle1, const InstanceHandle_t &ihandle2) noexcept
| Comparison operator.
bool | operator!= (const InstanceHandle_t &ihandle1, const InstanceHandle_t &ihandle2) noexcept
| Comparison operator.
void | iHandle2GUID (GUID_t &guid, const InstanceHandle_t &ihandle) noexcept
| Convert InstanceHandle_t to GUID.
GUID_t | iHandle2GUID (const InstanceHandle_t &ihandle) noexcept
| Convert GUID to InstanceHandle_t.
bool | operator< (const InstanceHandle_t &h1, const InstanceHandle_t &h2) noexcept
| Comparison operator: checks if a InstanceHandle_t is less than another.
std::ostream & | operator<< (std::ostream &output, const InstanceHandle_t &iHandle)
| Stream operator: print an InstanceHandle_t.
std::istream & | operator>> (std::istream &input, InstanceHandle_t &iHandle)
| Stream operator: retrieve an InstanceHandle_t.
bool | IsAddressDefined (const Locator_t &loc)
| Auxiliary method to check that IP address is not invalid (0).
bool | IsLocatorValid (const Locator_t &loc)
| Auxiliary method to check that locator kind is not LOCATOR_KIND_INVALID (-1).
bool | operator< (const Locator_t &loc1, const Locator_t &loc2)
| Less than operator.
bool | operator== (const Locator_t &loc1, const Locator_t &loc2)
| Equal to operator.
bool | operator!= (const Locator_t &loc1, const Locator_t &loc2)
| Not equal to operator.
std::ostream & | operator<< (std::ostream &output, const Locator_t &loc)
| Insertion operator: serialize a locator The serialization format is kind:[address]:port `kind` must be one of the following:
std::istream & | operator>> (std::istream &input, Locator_t &loc)
| Extraction operator: deserialize a locator The deserialization format is kind:[address]:port `kind` must be one of the following:
std::ostream & | operator<< (std::ostream &output, const LocatorList &locList)
| Insertion operator: serialize a locator list.
std::istream & | operator>> (std::istream &input, LocatorList &locList)
| Extraction operator: deserialize a list of locators.
static bool | operator== (const ResourceLimitedVector< Locator_t > &lhs, const ResourceLimitedVector< Locator_t > &rhs)
| Equal to operator to compare two locator lists.
FASTDDS_EXPORTED_API std::ostream & | operator<< (std::ostream &output, const LocatorWithMask &loc)
std::ostream & | operator<< (std::ostream &output, const RemoteLocatorList &remote_locators)
std::istream & | operator>> (std::istream &input, RemoteLocatorList &locList)
std::istream & | operator>> (std::istream &input, SampleIdentity &sid)
| Stream operator, retrieves a GUID.
std::ostream & | operator<< (std::ostream &output, const SampleIdentity &sid)
| Stream operator, prints a GUID.
bool | operator== (const SequenceNumber_t &sn1, const SequenceNumber_t &sn2) noexcept
| Compares two SequenceNumber_t.
bool | operator!= (const SequenceNumber_t &sn1, const SequenceNumber_t &sn2) noexcept
| Compares two SequenceNumber_t.
bool | operator> (const SequenceNumber_t &seq1, const SequenceNumber_t &seq2) noexcept
| Checks if a SequenceNumber_t is greater than other.
bool | operator< (const SequenceNumber_t &seq1, const SequenceNumber_t &seq2) noexcept
| Checks if a SequenceNumber_t is less than other.
bool | operator>= (const SequenceNumber_t &seq1, const SequenceNumber_t &seq2) noexcept
| Checks if a SequenceNumber_t is greater or equal than other.
bool | operator<= (const SequenceNumber_t &seq1, const SequenceNumber_t &seq2) noexcept
| Checks if a SequenceNumber_t is less or equal than other.
SequenceNumber_t | operator- (const SequenceNumber_t &seq, const uint32_t inc) noexcept
| Subtract one uint32_t from a SequenceNumber_t.
SequenceNumber_t | operator+ (const SequenceNumber_t &seq, const uint32_t inc) noexcept
| Add one uint32_t to a SequenceNumber_t.
SequenceNumber_t | operator- (const SequenceNumber_t &minuend, const SequenceNumber_t &subtrahend) noexcept
| Subtract one SequenceNumber_t to another.
bool | sort_seqNum (const SequenceNumber_t &s1, const SequenceNumber_t &s2) noexcept
| Sorts two instances of SequenceNumber_t.
std::ostream & | operator<< (std::ostream &output, const SequenceNumber_t &seqNum)
std::ostream & | operator<< (std::ostream &output, const std::vector< SequenceNumber_t > &seqNumSet)
std::ostream & | operator<< (std::ostream &output, const SequenceNumberSet_t &sns)
| Prints a sequence Number set.
std::istream & | operator>> (std::istream &input, SequenceNumber_t &seqNum)
static bool | operator== (const Time_t &t1, const Time_t &t2)
| Comparison assignment.
static bool | operator!= (const Time_t &t1, const Time_t &t2)
| Comparison assignment.
static bool | operator< (const Time_t &t1, const Time_t &t2)
| Checks if a Time_t is less than other.
static bool | operator> (const Time_t &t1, const Time_t &t2)
| Checks if a Time_t is greater than other.
static bool | operator<= (const Time_t &t1, const Time_t &t2)
| Checks if a Time_t is less or equal than other.
static bool | operator>= (const Time_t &t1, const Time_t &t2)
| Checks if a Time_t is greater or equal than other.
std::ostream & | operator<< (std::ostream &output, const Time_t &t)
std::istream & | operator>> (std::istream &input, Time_t &t)
static Time_t | operator+ (const Time_t &ta, const Time_t &tb)
| Adds two Time_t.
static Time_t | operator- (const Time_t &ta, const Time_t &tb)
| Subtracts two Time_t.
std::ostream & | operator<< (std::ostream &output, const ProtocolVersion_t &pv)
| Prints a ProtocolVersion.
std::ostream & | operator<< (std::ostream &output, const Header_t &h)
std::ostream & | operator<< (std::ostream &output, const SubmessageHeader_t &sh)
FASTDDS_EXPORTED_API std::ostream & | operator<< (std::ostream &output, const NetmaskFilterKind &netmask_filter_kind)

## Variables

const RTPSParticipantAllocationAttributes | c_default_RTPSParticipantAllocationAttributes = RTPSParticipantAllocationAttributes()
constexpr uint16_t | DEFAULT_ROS2_SERVER_PORT = 11811
constexpr uint16_t | DEFAULT_TCP_SERVER_PORT = 42100
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_PARTICIPANT_ANNOUNCER = 0x00000001 << 0
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_PARTICIPANT_DETECTOR = 0x00000001 << 1
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_PUBLICATION_ANNOUNCER = 0x00000001 << 2
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_PUBLICATION_DETECTOR = 0x00000001 << 3
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_SUBSCRIPTION_ANNOUNCER = 0x00000001 << 4
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_SUBSCRIPTION_DETECTOR = 0x00000001 << 5
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_PARTICIPANT_PROXY_ANNOUNCER = 0x00000001 << 6
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_PARTICIPANT_PROXY_DETECTOR = 0x00000001 << 7
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_PARTICIPANT_STATE_ANNOUNCER = 0x00000001 << 8
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_PARTICIPANT_STATE_DETECTOR = 0x00000001 << 9
constexpr uint32_t | BUILTIN_ENDPOINT_PARTICIPANT_MESSAGE_DATA_WRITER = 0x00000001 << 10
constexpr uint32_t | BUILTIN_ENDPOINT_PARTICIPANT_MESSAGE_DATA_READER = 0x00000001 << 11
constexpr uint32_t | BUILTIN_ENDPOINT_TYPELOOKUP_SERVICE_REQUEST_DATA_WRITER = 0x00000001 << 12
constexpr uint32_t | BUILTIN_ENDPOINT_TYPELOOKUP_SERVICE_REQUEST_DATA_READER = 0x00000001 << 13
constexpr uint32_t | BUILTIN_ENDPOINT_TYPELOOKUP_SERVICE_REPLY_DATA_WRITER = 0x00000001 << 14
constexpr uint32_t | BUILTIN_ENDPOINT_TYPELOOKUP_SERVICE_REPLY_DATA_READER = 0x00000001 << 15
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_PUBLICATION_SECURE_ANNOUNCER = 0x00000001 << 16
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_PUBLICATION_SECURE_DETECTOR = 0x00000001 << 17
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_SUBSCRIPTION_SECURE_ANNOUNCER = 0x00000001 << 18
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_SUBSCRIPTION_SECURE_DETECTOR = 0x00000001 << 19
constexpr uint32_t | BUILTIN_ENDPOINT_PARTICIPANT_MESSAGE_SECURE_DATA_WRITER = 0x00000001 << 20
constexpr uint32_t | BUILTIN_ENDPOINT_PARTICIPANT_MESSAGE_SECURE_DATA_READER = 0x00000001 << 21
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_PARTICIPANT_SECURE_ANNOUNCER = 0x00000001 << 26
constexpr uint32_t | DISC_BUILTIN_ENDPOINT_PARTICIPANT_SECURE_DETECTOR = 0x00000001 << 27
constexpr eprosima::fastcdr::CdrVersion | DEFAULT_XCDR_VERSION {eprosima::fastcdr::CdrVersion::XCDRv1}
| Default XCDR encoding version used in Fast DDS.
const EntityId_t | c_EntityId_Unknown = ENTITYID_UNKNOWN
const EntityId_t | c_EntityId_SPDPReader = ENTITYID_SPDP_BUILTIN_RTPSParticipant_READER
const EntityId_t | c_EntityId_SPDPWriter = ENTITYID_SPDP_BUILTIN_RTPSParticipant_WRITER
const EntityId_t | c_EntityId_SEDPPubWriter = ENTITYID_SEDP_BUILTIN_PUBLICATIONS_WRITER
const EntityId_t | c_EntityId_SEDPPubReader = ENTITYID_SEDP_BUILTIN_PUBLICATIONS_READER
const EntityId_t | c_EntityId_SEDPSubWriter = ENTITYID_SEDP_BUILTIN_SUBSCRIPTIONS_WRITER
const EntityId_t | c_EntityId_SEDPSubReader = ENTITYID_SEDP_BUILTIN_SUBSCRIPTIONS_READER
const EntityId_t | c_EntityId_RTPSParticipant = ENTITYID_RTPSParticipant
const EntityId_t | c_EntityId_WriterLiveliness = ENTITYID_P2P_BUILTIN_RTPSParticipant_MESSAGE_WRITER
const EntityId_t | c_EntityId_ReaderLiveliness = ENTITYID_P2P_BUILTIN_RTPSParticipant_MESSAGE_READER
const EntityId_t | participant_stateless_message_writer_entity_id = ENTITYID_P2P_BUILTIN_PARTICIPANT_STATELESS_WRITER
const EntityId_t | participant_stateless_message_reader_entity_id = ENTITYID_P2P_BUILTIN_PARTICIPANT_STATELESS_READER
const EntityId_t | c_EntityId_TypeLookup_request_writer = ENTITYID_TL_SVC_REQ_WRITER
const EntityId_t | c_EntityId_TypeLookup_request_reader = ENTITYID_TL_SVC_REQ_READER
const EntityId_t | c_EntityId_TypeLookup_reply_writer = ENTITYID_TL_SVC_REPLY_WRITER
const EntityId_t | c_EntityId_TypeLookup_reply_reader = ENTITYID_TL_SVC_REPLY_READER
const EntityId_t | ds_server_virtual_writer = ENTITYID_DS_SERVER_VIRTUAL_WRITER
const EntityId_t | ds_server_virtual_reader = ENTITYID_DS_SERVER_VIRTUAL_READER
const GUID_t | c_Guid_Unknown
const GuidPrefix_t | c_GuidPrefix_Unknown
constexpr const uint8_t | RTPS_KEY_HASH_SIZE = 16
const InstanceHandle_t | c_InstanceHandle_Unknown
const SequenceNumber_t | c_SequenceNumber_Unknown {-1, 0}
const Time_t | c_RTPSTimeInfinite {0x7fffffff, 0xffffffff}
const Time_t | c_RTPSTimeZero {0, 0}
const Time_t | c_RTPSTimeInvalid {-1, 0xffffffff}
constexpr Endianness_t | DEFAULT_ENDIAN = LITTLEEND
const ProtocolVersion_t | c_ProtocolVersion_2_0 {2, 0}
const ProtocolVersion_t | c_ProtocolVersion_2_1 {2, 1}
const ProtocolVersion_t | c_ProtocolVersion_2_2 {2, 2}
const ProtocolVersion_t | c_ProtocolVersion_2_3 {2, 3}
const ProtocolVersion_t | c_ProtocolVersion
const VendorId_t | c_VendorId_Unknown = {0x00, 0x00}
const VendorId_t | c_VendorId_eProsima = {0x01, 0x0F}
const VendorId_t | c_VendorId_rti_connext = {0x01, 0x01}
const VendorId_t | c_VendorId_opendds = {0x01, 0x03}
FASTDDS_EXPORTED_API const char *const | FASTDDS_FLOW_CONTROLLER_DEFAULT
| Name of the default flow controller.
FASTDDS_EXPORTED_API const char *const | FASTDDS_STATISTICS_FLOW_CONTROLLER_DEFAULT
| Name of the default flow controller for statistics writers.
constexpr uint8_t | s_defaultTTL = 1
| Default time to live (TTL).
constexpr uint32_t | s_maximumMessageSize = 65500
| Default maximum message size.
constexpr uint32_t | s_maximumInitialPeersRange = 4
| Default maximum initial peers range.
static const std::string | s_IPv4AddressAny = "0.0.0.0"
| Default IPv4 address.
static const std::string | s_IPv6AddressAny = "::"
| Default IPv6 address.

## Detailed Description

Contains the RTPS protocol implementation.

## Typedef Documentation

## ◆ AuthenticatedPeerCredentialToken

typedef Token AuthenticatedPeerCredentialToken

## ◆ BinaryPropertySeq

typedef std::vector<BinaryProperty> BinaryPropertySeq

## ◆ BuiltinEndpointSet_t

using BuiltinEndpointSet_t = uint32_t

## ◆ ChainingReceiverResourceReferenceType

using ChainingReceiverResourceReferenceType

Initial value:
std::unique_ptr<ChainingReceiverResource, ChainingReceiverResourceDeleter>

Type of the `unique_ptr` of a `ChainingReceiverResource` .

## ◆ Count_t

using Count_t = uint32_t

## ◆ DataHolderSeq

typedef std::vector<DataHolder> DataHolderSeq

## ◆ DurabilityKind_t

typedef enum eprosima::fastdds::rtps::DurabilityKind_t DurabilityKind_t

Durability kind.

## ◆ EndpointKind_t

typedef enum eprosima::fastdds::rtps::EndpointKind_t EndpointKind_t

Endpoint kind.

## ◆ ExternalLocators

using ExternalLocators

Initial value:
std::map<
uint8_t,
std::map<
uint8_t,
std::vector<LocatorWithMask>
>,
std::greater<uint8_t>
>

A collection of LocatorWithMask grouped by externality and cost.

## ◆ FragmentNumber_t

using FragmentNumber_t = uint32_t

## ◆ FragmentNumberSet_t

using FragmentNumberSet_t = BitmapRange<FragmentNumber_t>

Structure FragmentNumberSet_t, contains a group of fragmentnumbers.

## ◆ IdentityStatusToken

typedef Token IdentityStatusToken

## ◆ IdentityToken

typedef Token IdentityToken

## ◆ KeyHash_t

using KeyHash_t = std::array<octet, RTPS_KEY_HASH_SIZE>

## ◆ Locator

using Locator = eprosima::fastdds::rtps::Locator_t

## ◆ LocatorList_t

using LocatorList_t = eprosima::fastdds::rtps::LocatorList

## ◆ LocatorListConstIterator

typedef std::vector< Locator >::const_iterator LocatorListConstIterator

Constant iterator to iterate over a vector of locators.

## ◆ LocatorListIterator

typedef std::vector< Locator >::iterator LocatorListIterator

Iterator to iterate over a vector of locators.

## ◆ Locators

using Locators = eprosima::fastdds::rtps::Locators

## ◆ LocatorsIterator

using LocatorsIterator = eprosima::fastdds::rtps::LocatorsIterator

## ◆ MemoryManagementPolicy_t

typedef enum eprosima::fastdds::rtps::MemoryManagementPolicy MemoryManagementPolicy_t

Enum MemoryuManagementPolicy_t, indicated the way memory is managed in terms of dealing with CacheChanges.

## ◆ NetmaskFilterInfo

using NetmaskFilterInfo = std::pair<NetmaskFilterKind, std::vector<AllowedNetworkInterface>>

## ◆ NetworkConfigSet_t

using NetworkConfigSet_t = uint32_t

## ◆ octet

using octet = unsigned char

## ◆ Parameter_t

using Parameter_t = fastdds::dds::Parameter_t

## ◆ ParameterBool_t

using ParameterBool_t = fastdds::dds::ParameterBool_t

## ◆ ParameterBuiltinEndpointSet_t

using ParameterBuiltinEndpointSet_t = fastdds::dds::ParameterBuiltinEndpointSet_t

## ◆ ParameterCount_t

using ParameterCount_t = fastdds::dds::ParameterCount_t

## ◆ ParameterDomainId_t

using ParameterDomainId_t = fastdds::dds::ParameterDomainId_t

## ◆ ParameterEntityId_t

using ParameterEntityId_t = fastdds::dds::ParameterEntityId_t

## ◆ ParameterGuid_t

using ParameterGuid_t = fastdds::dds::ParameterGuid_t

## ◆ ParameterId_t

using ParameterId_t = fastdds::dds::ParameterId_t

## ◆ ParameterIP4Address_t

using ParameterIP4Address_t = fastdds::dds::ParameterIP4Address_t

## ◆ ParameterKey_t

using ParameterKey_t = fastdds::dds::ParameterKey_t

## ◆ ParameterLocator_t

using ParameterLocator_t = fastdds::dds::ParameterLocator_t

## ◆ ParameterNetworkConfigSet_t

using ParameterNetworkConfigSet_t = fastdds::dds::ParameterNetworkConfigSet_t

## ◆ ParameterPort_t

using ParameterPort_t = fastdds::dds::ParameterPort_t

## ◆ ParameterProductVersion_t

using ParameterProductVersion_t = fastdds::dds::ParameterProductVersion_t

## ◆ ParameterPropertyList_t

using ParameterPropertyList_t = fastdds::dds::ParameterPropertyList_t

## ◆ ParameterProtocolVersion_t

using ParameterProtocolVersion_t = fastdds::dds::ParameterProtocolVersion_t

## ◆ ParameterSampleIdentity_t

using ParameterSampleIdentity_t = fastdds::dds::ParameterSampleIdentity_t

## ◆ ParameterStatusInfo_t

using ParameterStatusInfo_t = fastdds::dds::ParameterStatusInfo_t

## ◆ ParameterString_t

using ParameterString_t = fastdds::dds::ParameterString_t

## ◆ ParameterTime_t

using ParameterTime_t = fastdds::dds::ParameterTime_t

## ◆ ParameterVendorId_t

using ParameterVendorId_t = fastdds::dds::ParameterVendorId_t

## ◆ PDPFactory

typedef struct eprosima::fastdds::rtps::PDPFactory PDPFactory

## ◆ PermissionsCredentialToken

typedef Token PermissionsCredentialToken

## ◆ PermissionsToken

typedef Token PermissionsToken

## ◆ PropertySeq

typedef std::vector<Property> PropertySeq

## ◆ ReliabilityKind_t

typedef enum eprosima::fastdds::rtps::ReliabilityKind_t ReliabilityKind_t

Reliability enum used for internal purposes.

## ◆ RTPSWriterPublishMode

typedef enum eprosima::fastdds::rtps::RTPSWriterPublishMode RTPSWriterPublishMode

## ◆ SendResourceList

using SendResourceList = std::vector<std::unique_ptr<fastdds::rtps::SenderResource>>

## ◆ SequenceNumberSet_t

using SequenceNumberSet_t = BitmapRange<SequenceNumber_t, SequenceNumberDiff, 256>

Structure SequenceNumberSet_t, contains a group of sequencenumbers.

## ◆ SubmessageFlag

using SubmessageFlag = unsigned char

## ◆ Token

typedef DataHolder Token

## ◆ TopicKind_t

typedef enum eprosima::fastdds::rtps::TopicKind_t TopicKind_t

Topic kind.

## ◆ TransportNetmaskFilterInfo

using TransportNetmaskFilterInfo = std::pair<int32_t, NetmaskFilterInfo>

## ◆ VendorId_t

using VendorId_t = std::array<uint8_t, 2>

Structure VendorId_t, specifying the vendor Id of the implementation.

## Enumeration Type Documentation

## ◆ BuiltinTransports

enum class BuiltinTransports : uint16_t

strong

Defines the kind of transports automatically instantiated upon the creation of a participant.

Enumerator
NONE |
DEFAULT |
DEFAULTv6 |
SHM |
UDPv4 |
UDPv6 |
LARGE_DATA |
LARGE_DATAv6 |
P2P |

## ◆ ChangeKind_t

enum ChangeKind_t

Enumerates the different types of CacheChange_t.

Enumerator
ALIVE | ALIVE.
NOT_ALIVE_DISPOSED | NOT_ALIVE_DISPOSED.
NOT_ALIVE_UNREGISTERED | NOT_ALIVE_UNREGISTERED.
NOT_ALIVE_DISPOSED_UNREGISTERED | NOT_ALIVE_DISPOSED_UNREGISTERED.

## ◆ DiscoveryProtocol

enum class DiscoveryProtocol

strong

PDP subclass choice.

Enumerator
NONE | NO discovery whatsoever would be used. Publisher and Subscriber defined with the same topic name would NOT be linked. All matching must be done manually through the addReaderLocator, addReaderProxy, addWriterProxy methods.
SIMPLE | Discovery works according to 'The Real-time Publish-Subscribe Protocol(RTPS) DDS Interoperability Wire Protocol Specification'.
EXTERNAL | A user defined PDP subclass object must be provided in the attributes that deals with the discovery. Framework is not responsible of this object lifetime.
CLIENT | The participant will behave as a client concerning discovery operation. Server locators should be specified as attributes.
SERVER | The participant will behave as a server concerning discovery operation. Discovery operation is volatile (discovery handshake must take place if shutdown).
BACKUP | The participant will behave as a server concerning discovery operation. Discovery operation persist on a file (discovery handshake wouldn't repeat if shutdown).
SUPER_CLIENT | The participant will behave as a client concerning all internal behaviour. Remote servers will treat it as a server and will share every discovery information.

## ◆ DurabilityKind_t

enum DurabilityKind_t

Durability kind.

Enumerator
VOLATILE | Volatile Durability.
TRANSIENT_LOCAL | Transient Local Durability.
TRANSIENT | Transient Durability.
PERSISTENT | NOT IMPLEMENTED.

## ◆ Endianness_t

enum Endianness_t

This enumeration represents endianness types.

Enumerator
BIGEND | Big endianness.
LITTLEEND | Little endianness.

## ◆ EndpointKind_t

enum EndpointKind_t

Endpoint kind.

Enumerator
READER |
WRITER |

## ◆ FlowControllerSchedulerPolicy

enum class FlowControllerSchedulerPolicy : int32_t

strong

Supported scheduler policy by a flow controller.

A flow controller's scheduler policy takes the decision of which samples are the next ones to be sent to the network. Fast DDS flow controller supports several scheduler policies listed in this enumeration.

Enumerator
FIFO | FIFO scheduler policy: first written sample by user, first sample scheduled to be sent to network.
ROUND_ROBIN | Round Robin scheduler policy: schedules one sample of each DataWriter in circular order.
HIGH_PRIORITY | High priority scheduler policy: samples with highest priority are scheduled first to be sent to network.
PRIORITY_WITH_RESERVATION | Priority with reservation scheduler policy: guarantee each DataWriter's minimum reservation of throughput. Samples not fitting the reservation are scheduled by priority.

## ◆ MatchingStatus

enum MatchingStatus

Indicates whether the matched publication/subscription method of the PublisherListener or SubscriberListener has been called for a matching or a removal of a remote endpoint.

Enumerator
MATCHED_MATCHING | MATCHED_MATCHING, new publisher/subscriber found.
REMOVED_MATCHING | REMOVED_MATCHING, publisher/subscriber removed.

## ◆ MemoryManagementPolicy

enum MemoryManagementPolicy

Enum MemoryuManagementPolicy_t, indicated the way memory is managed in terms of dealing with CacheChanges.

Enumerator
PREALLOCATED_MEMORY_MODE | Preallocated memory. Size set to the data type maximum. Largest memory footprint but smallest allocation count.
PREALLOCATED_WITH_REALLOC_MEMORY_MODE | Default size preallocated, requires reallocation when a bigger message arrives. Smaller memory footprint at the cost of an increased allocation count.
DYNAMIC_RESERVE_MEMORY_MODE |
DYNAMIC_REUSABLE_MEMORY_MODE |

## ◆ NetmaskFilterKind

enum class NetmaskFilterKind

strong

Enumerator
OFF |
AUTO |
ON |

## ◆ ParticipantDiscoveryStatus

enum class ParticipantDiscoveryStatus

strong

Enum ParticipantDiscoveryStatus, four different status for discovered participants.

Enumerator
DISCOVERED_PARTICIPANT |
CHANGED_QOS_PARTICIPANT |
REMOVED_PARTICIPANT |
DROPPED_PARTICIPANT |
IGNORED_PARTICIPANT |

## ◆ ParticipantFilteringFlags

enum ParticipantFilteringFlags : uint32_t

Enumerator
NO_FILTER |
FILTER_DIFFERENT_HOST |
FILTER_DIFFERENT_PROCESS |
FILTER_SAME_PROCESS |

## ◆ ReaderDiscoveryStatus

enum class ReaderDiscoveryStatus

strong

Enum DISCOVERY_STATUS, four different status for discovered readers.

Enumerator
DISCOVERED_READER |
CHANGED_QOS_READER |
REMOVED_READER |
IGNORED_READER |

## ◆ ReliabilityKind_t

enum ReliabilityKind_t

Reliability enum used for internal purposes.

Enumerator
RELIABLE |
BEST_EFFORT |

## ◆ RTPSWriterPublishMode

enum RTPSWriterPublishMode : octet

Enumerator
SYNCHRONOUS_WRITER |
ASYNCHRONOUS_WRITER |

## ◆ SubmessageId

enum SubmessageId : uint8_t

Enumerator
PAD |
ACKNACK |
HEARTBEAT |
GAP |
INFO_TS |
INFO_SRC |
INFO_REPLY_IP4 |
INFO_DST |
INFO_REPLY |
NACK_FRAG |
HEARTBEAT_FRAG |
DATA |
DATA_FRAG |

## ◆ TopicKind_t

enum TopicKind_t

Topic kind.

Enumerator
NO_KEY |
WITH_KEY |

## ◆ WriterDiscoveryStatus

enum class WriterDiscoveryStatus

strong

Enum WriterDiscoveryStatus, four different status for discovered writers.

Enumerator
DISCOVERED_WRITER |
CHANGED_QOS_WRITER |
REMOVED_WRITER |
IGNORED_WRITER |

## Function Documentation

## ◆ FASTDDS_TODO_BEFORE()

FASTDDS_TODO_BEFORE | ( | 4 | ,
|  | 0 | ,
|  | "Change it to uint8_t (implies also changing [de]serializations)" | )

Filtering flags when discovering participants.

## ◆ get_server_client_default_guidPrefix()

FASTDDS_EXPORTED_API bool get_server_client_default_guidPrefix | ( | int | id,
|  | fastdds::rtps::GuidPrefix_t & | guid )

Returns the guidPrefix associated to the given server id.

Parameters

  [in] | id | of the default server whose guidPrefix we want to retrieve
  [out] | guid | reference to the guidPrefix to modify

Returns
  true if the server guid can be delivered

## ◆ iHandle2GUID() [1/2]

GUID_t iHandle2GUID | ( | const InstanceHandle_t & | ihandle | ) |

inline noexcept

Convert GUID to InstanceHandle_t.

Parameters

  ihandle | InstanceHandle_t to store the results

Returns
  GUID_t

## ◆ iHandle2GUID() [2/2]

void iHandle2GUID | ( | GUID_t & | guid,
|  | const InstanceHandle_t & | ihandle )

inline noexcept

Convert InstanceHandle_t to GUID.

Parameters

  guid | GUID to store the results
  ihandle | InstanceHandle_t to copy

## ◆ IsAddressDefined()

bool IsAddressDefined | ( | const Locator_t & | loc | ) |

inline

Auxiliary method to check that IP address is not invalid (0).

Parameters

  loc | Locator which IP address is going to be checked.

Returns
  true if IP address is defined (not 0).
  false otherwise.

## ◆ IsLocatorValid()

bool IsLocatorValid | ( | const Locator_t & | loc | ) |

inline

Auxiliary method to check that locator kind is not LOCATOR_KIND_INVALID (-1).

Parameters

  loc | Locator to be checked.

Returns
  true if the locator kind is not LOCATOR_KIND_INVALID.
  false otherwise.

## ◆ operator!=() [1/6]

bool operator!= | ( | const EntityId_t & | id1,
|  | const EntityId_t & | id2 )

inline

Guid prefix comparison operator.

Parameters

  id1 | First EntityId to compare
  id2 | Second EntityId to compare

Returns
  True if not equal

## ◆ operator!=() [2/6]

bool operator!= | ( | const GUID_t & | g1,
|  | const GUID_t & | g2 )

inline

GUID comparison operator.

Parameters

  g1 | First GUID to compare
  g2 | Second GUID to compare

Returns
  True if not equal

## ◆ operator!=() [3/6]

bool operator!= | ( | const InstanceHandle_t & | ihandle1,
|  | const InstanceHandle_t & | ihandle2 )

inline noexcept

Comparison operator.

Parameters

  ihandle1 | First InstanceHandle_t to compare
  ihandle2 | Second InstanceHandle_t to compare

Returns
  True if not equal

## ◆ operator!=() [4/6]

bool operator!= | ( | const Locator_t & | loc1,
|  | const Locator_t & | loc2 )

inline

Not equal to operator.

Parameters

  loc1 | Left hand side locator being compared.
  loc2 | Right hand side locator being compared.

Returns
  true if `loc1` is not equal to `loc2`.
  false otherwise.

## ◆ operator!=() [5/6]

bool operator!= | ( | const SequenceNumber_t & | sn1,
|  | const SequenceNumber_t & | sn2 )

inline noexcept

Compares two SequenceNumber_t.

Parameters

  sn1 | First SequenceNumber_t to compare
  sn2 | Second SequenceNumber_t to compare

Returns
  True if not equal

## ◆ operator!=() [6/6]

bool operator!= | ( | const Time_t & | t1,
|  | const Time_t & | t2 )

inline static

Comparison assignment.

Parameters

  t1 | First Time_t to compare
  t2 | Second Time_t to compare

Returns
  True if not equal

## ◆ operator+() [1/2]

SequenceNumber_t operator+ | ( | const SequenceNumber_t & | seq,
|  | const uint32_t | inc )

inline noexcept

Add one uint32_t to a SequenceNumber_t.

Parameters

  [in] | seq | Base sequence number
  | inc | value to add to the base

Returns
  Result of the addition

## ◆ operator+() [2/2]

Time_t operator+ | ( | const Time_t & | ta,
|  | const Time_t & | tb )

inline static

Adds two Time_t.

Parameters

  ta | First Time_t to add
  tb | Second Time_t to add

Returns
  A new Time_t with the result.

## ◆ operator-() [1/3]

SequenceNumber_t operator- | ( | const SequenceNumber_t & | minuend,
|  | const SequenceNumber_t & | subtrahend )

inline noexcept

Subtract one SequenceNumber_t to another.

Parameters

  minuend | Minuend. Has to be greater than or equal to subtrahend.
  subtrahend | Subtrahend.

Returns
  Result of the subtraction

## ◆ operator-() [2/3]

SequenceNumber_t operator- | ( | const SequenceNumber_t & | seq,
|  | const uint32_t | inc )

inline noexcept

Subtract one uint32_t from a SequenceNumber_t.

Parameters

  seq | Base SequenceNumber_t
  inc | uint32_t to subtract

Returns
  Result of the subtraction

## ◆ operator-() [3/3]

Time_t operator- | ( | const Time_t & | ta,
|  | const Time_t & | tb )

inline static

Subtracts two Time_t.

Parameters

  ta | First Time_t to subtract
  tb | Second Time_t to subtract

Returns
  A new Time_t with the result.

## ◆ operator<() [1/5]

bool operator< | ( | const GUID_t & | g1,
|  | const GUID_t & | g2 )

inline

## ◆ operator<() [2/5]

bool operator< | ( | const InstanceHandle_t & | h1,
|  | const InstanceHandle_t & | h2 )

inline noexcept

Comparison operator: checks if a InstanceHandle_t is less than another.

Parameters

  h1 | First InstanceHandle_t to compare.
  h2 | Second InstanceHandle_t to compare.

Returns
  True if the first InstanceHandle_t is less than the second.

## ◆ operator<() [3/5]

bool operator< | ( | const Locator_t & | loc1,
|  | const Locator_t & | loc2 )

inline

Less than operator.

Parameters

  loc1 | Left hand side locator being compared.
  loc2 | Right hand side locator being compared.

Returns
  true if `loc1` is less than `loc2`.
  false otherwise.

## ◆ operator<() [4/5]

bool operator< | ( | const SequenceNumber_t & | seq1,
|  | const SequenceNumber_t & | seq2 )

inline noexcept

Checks if a SequenceNumber_t is less than other.

Parameters

  seq1 | First SequenceNumber_t to compare
  seq2 | Second SequenceNumber_t to compare

Returns
  True if the first SequenceNumber_t is less than the second

## ◆ operator<() [5/5]

bool operator< | ( | const Time_t & | t1,
|  | const Time_t & | t2 )

inline static

Checks if a Time_t is less than other.

Parameters

  t1 | First Time_t to compare
  t2 | Second Time_t to compare

Returns
  True if the first Time_t is less than the second

## ◆ operator<<() [1/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | BuiltinTransports | transports )

inline

## ◆ operator<<() [2/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const DiscoveryProtocol & | discovery_protocol )

inline

## ◆ operator<<() [3/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const EntityId_t & | enI )

inline

## ◆ operator<<() [4/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const FragmentNumberSet_t & | fns )

inline

## ◆ operator<<() [5/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const GUID_t & | guid )

inline

Stream operator, prints a GUID.

Parameters

  output | Output stream.
  guid | GUID_t to print.

Returns
  Stream operator.

## ◆ operator<<() [6/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const GuidPrefix_t & | guiP )

inline

## ◆ operator<<() [7/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const Header_t & | h )

inline

Parameters

  output |
  h |

Returns

## ◆ operator<<() [8/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const InstanceHandle_t & | iHandle )

inline

Stream operator: print an InstanceHandle_t.

Parameters

  output | Output stream.
  iHandle | InstanceHandle_t to print.

Returns
  Stream operator.

## ◆ operator<<() [9/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const Locator_t & | loc )

inline

Insertion operator: serialize a locator The serialization format is kind:[address]:port `kind` must be one of the following:

- UDPv4
- UDPv6
- TCPv4
- TCPv6
- SHM `address` IP address unless `kind` is SHM `port` number

Parameters

  output | Output stream where the serialized locator is appended.
  loc | Locator to be serialized/inserted.

Returns
  `std::ostream&` Reference to the output stream with the serialized locator appended.

## ◆ operator<<() [10/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const LocatorList & | locList )

inline

Insertion operator: serialize a locator list.

The deserialization format is [locator1,locator2,...,locatorN]. Each individual locator within the list must follow the serialization format explained in the locator insertion operator.

Parameters

  output | Output stream where the serialized locator list is appended.
  locList | Locator list to be serialized/inserted.

Returns
  `std::ostream&` Reference to the output stream with the serialized locator list appended.

## ◆ operator<<() [11/20]

FASTDDS_EXPORTED_API std::ostream & operator<< | ( | std::ostream & | output,
|  | const LocatorWithMask & | loc )

## ◆ operator<<() [12/20]

FASTDDS_EXPORTED_API std::ostream & operator<< | ( | std::ostream & | output,
|  | const NetmaskFilterKind & | netmask_filter_kind )

## ◆ operator<<() [13/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const ProtocolVersion_t & | pv )

inline

Prints a ProtocolVersion.

Parameters

  output | Output Stream
  pv | ProtocolVersion

Returns
  OStream.

## ◆ operator<<() [14/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const RemoteLocatorList & | remote_locators )

inline

## ◆ operator<<() [15/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const SampleIdentity & | sid )

inline

Stream operator, prints a GUID.

Parameters

  output | Output stream.
  sid | SampleIdentity to print.

Returns
  Stream operator.

## ◆ operator<<() [16/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const SequenceNumber_t & | seqNum )

inline

Parameters

  output |
  seqNum |

Returns

## ◆ operator<<() [17/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const SequenceNumberSet_t & | sns )

inline

Prints a sequence Number set.

Parameters

  output | Output Stream
  sns | SequenceNumber set

Returns
  OStream.

## ◆ operator<<() [18/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const std::vector< SequenceNumber_t > & | seqNumSet )

inline

## ◆ operator<<() [19/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const SubmessageHeader_t & | sh )

inline

Parameters

  output |
  sh |

Returns

## ◆ operator<<() [20/20]

std::ostream & operator<< | ( | std::ostream & | output,
|  | const Time_t & | t )

inline

## ◆ operator<=() [1/2]

bool operator<= | ( | const SequenceNumber_t & | seq1,
|  | const SequenceNumber_t & | seq2 )

inline noexcept

Checks if a SequenceNumber_t is less or equal than other.

Parameters

  seq1 | First SequenceNumber_t to compare
  seq2 | Second SequenceNumber_t to compare

Returns
  True if the first SequenceNumber_t is less or equal than the second

## ◆ operator<=() [2/2]

bool operator<= | ( | const Time_t & | t1,
|  | const Time_t & | t2 )

inline static

Checks if a Time_t is less or equal than other.

Parameters

  t1 | First Time_t to compare
  t2 | Second Time_t to compare

Returns
  True if the first Time_t is less or equal than the second

## ◆ operator==() [1/9]

bool operator== | ( | const BuiltinTransportsOptions & | bto1,
|  | const BuiltinTransportsOptions & | bto2 )

inline

Equal to operator.

Parameters

  bto1 | Left hand side BuiltinTransportsOptions being compared.
  bto2 | Right hand side BuiltinTransportsOptions being compared.

Returns
  true if `bto1` is equal to `bto2`.
  false otherwise.

## ◆ operator==() [2/9]

bool operator== | ( | const EntityId_t & | id1,
|  | const EntityId_t & | id2 )

inline

Entity Id comparison operator.

Parameters

  id1 | First EntityId to compare
  id2 | Second EntityId to compare

Returns
  True if equal

## ◆ operator==() [3/9]

bool operator== | ( | const GUID_t & | g1,
|  | const GUID_t & | g2 )

inline

GUID comparison operator.

Parameters

  g1 | First GUID to compare
  g2 | Second GUID to compare

Returns
  True if equal

## ◆ operator==() [4/9]

bool operator== | ( | const InstanceHandle_t & | ihandle1,
|  | const InstanceHandle_t & | ihandle2 )

inline noexcept

Comparison operator.

Parameters

  ihandle1 | First InstanceHandle_t to compare
  ihandle2 | Second InstanceHandle_t to compare

Returns
  True if equal

## ◆ operator==() [5/9]

bool operator== | ( | const Locator_t & | loc1,
|  | const Locator_t & | loc2 )

inline

Equal to operator.

Parameters

  loc1 | Left hand side locator being compared.
  loc2 | Right hand side locator being compared.

Returns
  true if `loc1` is equal to `loc2`.
  false otherwise.

## ◆ operator==() [6/9]

bool operator== | ( | const ResourceLimitedVector< Locator_t > & | lhs,
|  | const ResourceLimitedVector< Locator_t > & | rhs )

inline static

Equal to operator to compare two locator lists.

Parameters

  lhs | Locator list to be compared.
  rhs | Other locator list to be compared.

Returns
  true if the list are equal.
  false otherwise.

## ◆ operator==() [7/9]

bool operator== | ( | const SequenceNumber_t & | sn1,
|  | const SequenceNumber_t & | sn2 )

inline noexcept

Compares two SequenceNumber_t.

Parameters

  sn1 | First SequenceNumber_t to compare
  sn2 | Second SequenceNumber_t to compare

Returns
  True if equal

## ◆ operator==() [8/9]

bool operator== | ( | const Time_t & | t1,
|  | const Time_t & | t2 )

inline static

Comparison assignment.

Parameters

  t1 | First Time_t to compare
  t2 | Second Time_t to compare

Returns
  True if equal

## ◆ operator==() [9/9]

bool operator== | ( | EntityId_t & | id1,
|  | const uint32_t | id2 )

inline

Entity Id comparison operator.

Parameters

  id1 | EntityId to compare
  id2 | ID prefix to compare

Returns
  True if equal

## ◆ operator>() [1/2]

bool operator> | ( | const SequenceNumber_t & | seq1,
|  | const SequenceNumber_t & | seq2 )

inline noexcept

Checks if a SequenceNumber_t is greater than other.

Parameters

  seq1 | First SequenceNumber_t to compare
  seq2 | Second SequenceNumber_t to compare

Returns
  True if the first SequenceNumber_t is greater than the second

## ◆ operator>() [2/2]

bool operator> | ( | const Time_t & | t1,
|  | const Time_t & | t2 )

inline static

Checks if a Time_t is greater than other.

Parameters

  t1 | First Time_t to compare
  t2 | Second Time_t to compare

Returns
  True if the first Time_t is greater than the second

## ◆ operator>=() [1/2]

bool operator>= | ( | const SequenceNumber_t & | seq1,
|  | const SequenceNumber_t & | seq2 )

inline noexcept

Checks if a SequenceNumber_t is greater or equal than other.

Parameters

  seq1 | First SequenceNumber_t to compare
  seq2 | Second SequenceNumber_t to compare

Returns
  True if the first SequenceNumber_t is greater or equal than the second

## ◆ operator>=() [2/2]

bool operator>= | ( | const Time_t & | t1,
|  | const Time_t & | t2 )

inline static

Checks if a Time_t is greater or equal than other.

Parameters

  t1 | First Time_t to compare
  t2 | Second Time_t to compare

Returns
  True if the first Time_t is greater or equal than the second

## ◆ operator>>() [1/10]

std::istream & operator>> | ( | std::istream & | input,
|  | EntityId_t & | enP )

inline

## ◆ operator>>() [2/10]

std::istream & operator>> | ( | std::istream & | input,
|  | GUID_t & | guid )

inline

Stream operator, retrieves a GUID.

Parameters

  input | Input stream.
  guid | GUID_t to print.

Returns
  Stream operator.

## ◆ operator>>() [3/10]

std::istream & operator>> | ( | std::istream & | input,
|  | GuidPrefix_t & | guiP )

inline

## ◆ operator>>() [4/10]

std::istream & operator>> | ( | std::istream & | input,
|  | InstanceHandle_t & | iHandle )

inline

Stream operator: retrieve an InstanceHandle_t.

Parameters

  input | Input stream.
  iHandle | InstanceHandle_t that will receive the input as its new value.

Returns
  Stream operator.

## ◆ operator>>() [5/10]

std::istream & operator>> | ( | std::istream & | input,
|  | Locator_t & | loc )

inline

Extraction operator: deserialize a locator The deserialization format is kind:[address]:port `kind` must be one of the following:

- UDPv4
- UDPv6
- TCPv4
- TCPv6
- SHM `address` must be either a name which can be resolved by DNS or the IP address unless `kind` is SHM `port` number

Parameters

  input | Input stream where the locator to be deserialized is located.
  loc | Locator where the deserialized locator is saved.

Returns
  `std::istream&` Reference to the input stream after extracting the locator.

## ◆ operator>>() [6/10]

std::istream & operator>> | ( | std::istream & | input,
|  | LocatorList & | locList )

inline

Extraction operator: deserialize a list of locators.

The serialization format is [locator1,locator2,...,locatorN]. Each individual locator within the list must follow the deserialization format explained in the locator extraction operator.

Parameters

  input | Input stream where the locator list to be deserialized is located.
  locList | Locator list where the deserialized locators are saved.

Returns
  `std::istream&` Reference to the input stream after extracting the locator list.

## ◆ operator>>() [7/10]

std::istream & operator>> | ( | std::istream & | input,
|  | RemoteLocatorList & | locList )

inline

## ◆ operator>>() [8/10]

std::istream & operator>> | ( | std::istream & | input,
|  | SampleIdentity & | sid )

inline

Stream operator, retrieves a GUID.

Parameters

  input | Input stream.
  sid | SampleIdentity to read.

Returns
  Stream operator.

## ◆ operator>>() [9/10]

std::istream & operator>> | ( | std::istream & | input,
|  | SequenceNumber_t & | seqNum )

inline

Parameters

  input |
  seqNum |

Returns

## ◆ operator>>() [10/10]

std::istream & operator>> | ( | std::istream & | input,
|  | Time_t & | t )

inline

## ◆ sort_seqNum()

bool sort_seqNum | ( | const SequenceNumber_t & | s1,
|  | const SequenceNumber_t & | s2 )

inline noexcept

Sorts two instances of SequenceNumber_t.

Parameters

  s1 | First SequenceNumber_t to compare
  s2 | First SequenceNumber_t to compare

Returns
  True if s1 is less than s2

## Variable Documentation

## ◆ BUILTIN_ENDPOINT_PARTICIPANT_MESSAGE_DATA_READER

uint32_t BUILTIN_ENDPOINT_PARTICIPANT_MESSAGE_DATA_READER = 0x00000001 << 11

constexpr

## ◆ BUILTIN_ENDPOINT_PARTICIPANT_MESSAGE_DATA_WRITER

uint32_t BUILTIN_ENDPOINT_PARTICIPANT_MESSAGE_DATA_WRITER = 0x00000001 << 10

constexpr

## ◆ BUILTIN_ENDPOINT_PARTICIPANT_MESSAGE_SECURE_DATA_READER

uint32_t BUILTIN_ENDPOINT_PARTICIPANT_MESSAGE_SECURE_DATA_READER = 0x00000001 << 21

constexpr

## ◆ BUILTIN_ENDPOINT_PARTICIPANT_MESSAGE_SECURE_DATA_WRITER

uint32_t BUILTIN_ENDPOINT_PARTICIPANT_MESSAGE_SECURE_DATA_WRITER = 0x00000001 << 20

constexpr

## ◆ BUILTIN_ENDPOINT_TYPELOOKUP_SERVICE_REPLY_DATA_READER

uint32_t BUILTIN_ENDPOINT_TYPELOOKUP_SERVICE_REPLY_DATA_READER = 0x00000001 << 15

constexpr

## ◆ BUILTIN_ENDPOINT_TYPELOOKUP_SERVICE_REPLY_DATA_WRITER

uint32_t BUILTIN_ENDPOINT_TYPELOOKUP_SERVICE_REPLY_DATA_WRITER = 0x00000001 << 14

constexpr

## ◆ BUILTIN_ENDPOINT_TYPELOOKUP_SERVICE_REQUEST_DATA_READER

uint32_t BUILTIN_ENDPOINT_TYPELOOKUP_SERVICE_REQUEST_DATA_READER = 0x00000001 << 13

constexpr

## ◆ BUILTIN_ENDPOINT_TYPELOOKUP_SERVICE_REQUEST_DATA_WRITER

uint32_t BUILTIN_ENDPOINT_TYPELOOKUP_SERVICE_REQUEST_DATA_WRITER = 0x00000001 << 12

constexpr

## ◆ c_default_RTPSParticipantAllocationAttributes

const RTPSParticipantAllocationAttributes c_default_RTPSParticipantAllocationAttributes = RTPSParticipantAllocationAttributes()

## ◆ c_EntityId_ReaderLiveliness

const EntityId_t c_EntityId_ReaderLiveliness = ENTITYID_P2P_BUILTIN_RTPSParticipant_MESSAGE_READER

## ◆ c_EntityId_RTPSParticipant

const EntityId_t c_EntityId_RTPSParticipant = ENTITYID_RTPSParticipant

## ◆ c_EntityId_SEDPPubReader

const EntityId_t c_EntityId_SEDPPubReader = ENTITYID_SEDP_BUILTIN_PUBLICATIONS_READER

## ◆ c_EntityId_SEDPPubWriter

const EntityId_t c_EntityId_SEDPPubWriter = ENTITYID_SEDP_BUILTIN_PUBLICATIONS_WRITER

## ◆ c_EntityId_SEDPSubReader

const EntityId_t c_EntityId_SEDPSubReader = ENTITYID_SEDP_BUILTIN_SUBSCRIPTIONS_READER

## ◆ c_EntityId_SEDPSubWriter

const EntityId_t c_EntityId_SEDPSubWriter = ENTITYID_SEDP_BUILTIN_SUBSCRIPTIONS_WRITER

## ◆ c_EntityId_SPDPReader

const EntityId_t c_EntityId_SPDPReader = ENTITYID_SPDP_BUILTIN_RTPSParticipant_READER

## ◆ c_EntityId_SPDPWriter

const EntityId_t c_EntityId_SPDPWriter = ENTITYID_SPDP_BUILTIN_RTPSParticipant_WRITER

## ◆ c_EntityId_TypeLookup_reply_reader

const EntityId_t c_EntityId_TypeLookup_reply_reader = ENTITYID_TL_SVC_REPLY_READER

## ◆ c_EntityId_TypeLookup_reply_writer

const EntityId_t c_EntityId_TypeLookup_reply_writer = ENTITYID_TL_SVC_REPLY_WRITER

## ◆ c_EntityId_TypeLookup_request_reader

const EntityId_t c_EntityId_TypeLookup_request_reader = ENTITYID_TL_SVC_REQ_READER

## ◆ c_EntityId_TypeLookup_request_writer

const EntityId_t c_EntityId_TypeLookup_request_writer = ENTITYID_TL_SVC_REQ_WRITER

## ◆ c_EntityId_Unknown

const EntityId_t c_EntityId_Unknown = ENTITYID_UNKNOWN

## ◆ c_EntityId_WriterLiveliness

const EntityId_t c_EntityId_WriterLiveliness = ENTITYID_P2P_BUILTIN_RTPSParticipant_MESSAGE_WRITER

## ◆ c_Guid_Unknown

const GUID_t c_Guid_Unknown

## ◆ c_GuidPrefix_Unknown

const GuidPrefix_t c_GuidPrefix_Unknown

## ◆ c_InstanceHandle_Unknown

const InstanceHandle_t c_InstanceHandle_Unknown

## ◆ c_ProtocolVersion

const ProtocolVersion_t c_ProtocolVersion

## ◆ c_ProtocolVersion_2_0

const ProtocolVersion_t c_ProtocolVersion_2_0 {2, 0}

## ◆ c_ProtocolVersion_2_1

const ProtocolVersion_t c_ProtocolVersion_2_1 {2, 1}

## ◆ c_ProtocolVersion_2_2

const ProtocolVersion_t c_ProtocolVersion_2_2 {2, 2}

## ◆ c_ProtocolVersion_2_3

const ProtocolVersion_t c_ProtocolVersion_2_3 {2, 3}

## ◆ c_RTPSTimeInfinite

const Time_t c_RTPSTimeInfinite {0x7fffffff, 0xffffffff}

## ◆ c_RTPSTimeInvalid

const Time_t c_RTPSTimeInvalid {-1, 0xffffffff}

## ◆ c_RTPSTimeZero

const Time_t c_RTPSTimeZero {0, 0}

## ◆ c_SequenceNumber_Unknown

const SequenceNumber_t c_SequenceNumber_Unknown {-1, 0}

## ◆ c_VendorId_eProsima

const VendorId_t c_VendorId_eProsima = {0x01, 0x0F}

## ◆ c_VendorId_opendds

const VendorId_t c_VendorId_opendds = {0x01, 0x03}

## ◆ c_VendorId_rti_connext

const VendorId_t c_VendorId_rti_connext = {0x01, 0x01}

## ◆ c_VendorId_Unknown

const VendorId_t c_VendorId_Unknown = {0x00, 0x00}

## ◆ DEFAULT_ENDIAN

Endianness_t DEFAULT_ENDIAN = LITTLEEND

constexpr

## ◆ DEFAULT_ROS2_SERVER_PORT

uint16_t DEFAULT_ROS2_SERVER_PORT = 11811

constexpr

## ◆ DEFAULT_TCP_SERVER_PORT

uint16_t DEFAULT_TCP_SERVER_PORT = 42100

constexpr

## ◆ DEFAULT_XCDR_VERSION

eprosima::fastcdr::CdrVersion DEFAULT_XCDR_VERSION {eprosima::fastcdr::CdrVersion::XCDRv1}

constexpr

Default XCDR encoding version used in Fast DDS.

## ◆ DISC_BUILTIN_ENDPOINT_PARTICIPANT_ANNOUNCER

uint32_t DISC_BUILTIN_ENDPOINT_PARTICIPANT_ANNOUNCER = 0x00000001 << 0

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_PARTICIPANT_DETECTOR

uint32_t DISC_BUILTIN_ENDPOINT_PARTICIPANT_DETECTOR = 0x00000001 << 1

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_PARTICIPANT_PROXY_ANNOUNCER

uint32_t DISC_BUILTIN_ENDPOINT_PARTICIPANT_PROXY_ANNOUNCER = 0x00000001 << 6

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_PARTICIPANT_PROXY_DETECTOR

uint32_t DISC_BUILTIN_ENDPOINT_PARTICIPANT_PROXY_DETECTOR = 0x00000001 << 7

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_PARTICIPANT_SECURE_ANNOUNCER

uint32_t DISC_BUILTIN_ENDPOINT_PARTICIPANT_SECURE_ANNOUNCER = 0x00000001 << 26

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_PARTICIPANT_SECURE_DETECTOR

uint32_t DISC_BUILTIN_ENDPOINT_PARTICIPANT_SECURE_DETECTOR = 0x00000001 << 27

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_PARTICIPANT_STATE_ANNOUNCER

uint32_t DISC_BUILTIN_ENDPOINT_PARTICIPANT_STATE_ANNOUNCER = 0x00000001 << 8

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_PARTICIPANT_STATE_DETECTOR

uint32_t DISC_BUILTIN_ENDPOINT_PARTICIPANT_STATE_DETECTOR = 0x00000001 << 9

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_PUBLICATION_ANNOUNCER

uint32_t DISC_BUILTIN_ENDPOINT_PUBLICATION_ANNOUNCER = 0x00000001 << 2

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_PUBLICATION_DETECTOR

uint32_t DISC_BUILTIN_ENDPOINT_PUBLICATION_DETECTOR = 0x00000001 << 3

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_PUBLICATION_SECURE_ANNOUNCER

uint32_t DISC_BUILTIN_ENDPOINT_PUBLICATION_SECURE_ANNOUNCER = 0x00000001 << 16

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_PUBLICATION_SECURE_DETECTOR

uint32_t DISC_BUILTIN_ENDPOINT_PUBLICATION_SECURE_DETECTOR = 0x00000001 << 17

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_SUBSCRIPTION_ANNOUNCER

uint32_t DISC_BUILTIN_ENDPOINT_SUBSCRIPTION_ANNOUNCER = 0x00000001 << 4

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_SUBSCRIPTION_DETECTOR

uint32_t DISC_BUILTIN_ENDPOINT_SUBSCRIPTION_DETECTOR = 0x00000001 << 5

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_SUBSCRIPTION_SECURE_ANNOUNCER

uint32_t DISC_BUILTIN_ENDPOINT_SUBSCRIPTION_SECURE_ANNOUNCER = 0x00000001 << 18

constexpr

## ◆ DISC_BUILTIN_ENDPOINT_SUBSCRIPTION_SECURE_DETECTOR

uint32_t DISC_BUILTIN_ENDPOINT_SUBSCRIPTION_SECURE_DETECTOR = 0x00000001 << 19

constexpr

## ◆ ds_server_virtual_reader

const EntityId_t ds_server_virtual_reader = ENTITYID_DS_SERVER_VIRTUAL_READER

## ◆ ds_server_virtual_writer

const EntityId_t ds_server_virtual_writer = ENTITYID_DS_SERVER_VIRTUAL_WRITER

## ◆ FASTDDS_FLOW_CONTROLLER_DEFAULT

FASTDDS_EXPORTED_API const char* const FASTDDS_FLOW_CONTROLLER_DEFAULT

extern

Name of the default flow controller.

## ◆ FASTDDS_STATISTICS_FLOW_CONTROLLER_DEFAULT

FASTDDS_EXPORTED_API const char* const FASTDDS_STATISTICS_FLOW_CONTROLLER_DEFAULT

extern

Name of the default flow controller for statistics writers.

## ◆ participant_stateless_message_reader_entity_id

const EntityId_t participant_stateless_message_reader_entity_id = ENTITYID_P2P_BUILTIN_PARTICIPANT_STATELESS_READER

## ◆ participant_stateless_message_writer_entity_id

const EntityId_t participant_stateless_message_writer_entity_id = ENTITYID_P2P_BUILTIN_PARTICIPANT_STATELESS_WRITER

## ◆ RTPS_KEY_HASH_SIZE

const uint8_t RTPS_KEY_HASH_SIZE = 16

constexpr

## ◆ s_defaultTTL

uint8_t s_defaultTTL = 1

constexpr

Default time to live (TTL).

## ◆ s_IPv4AddressAny

const std::string s_IPv4AddressAny = "0.0.0.0"

static

Default IPv4 address.

## ◆ s_IPv6AddressAny

const std::string s_IPv6AddressAny = "::"

static

Default IPv6 address.

## ◆ s_maximumInitialPeersRange

uint32_t s_maximumInitialPeersRange = 4

constexpr

Default maximum initial peers range.

## ◆ s_maximumMessageSize

uint32_t s_maximumMessageSize = 65500

constexpr

Default maximum message size.